package models

type PaymentIntent struct {
	ID           string `json:"id"`
	ClientSecret string `json:"client_secret"`
	Amount       int64  `json:"amount"`
	Currency     string `json:"currency"`
	Status       string `json:"status"`
}

type PaymentRequest struct {
	PaymentMethodID string `json:"paymentMethodId"`
	Amount          int64  `json:"amount"`
	Currency        string `json:"currency"`
}

type RegisterRequest struct {
	Name    string `json:"name" binding:"required"`
	Surname string `json:"surname" binding:"required"`
	Email   string `json:"email" binding:"required,email"`
}

type ValidateEmailRequest struct {
	Token string `json:"token" binding:"required"`
}

type User struct {
	ID      string `json:"id"`
	Name    string `json:"name"`
	Surname string `json:"surname"`
	Email   string `json:"email"`
	Token   string `json:"token"`
	Status  bool   `json:"status"`
	Plan    string `json:"plan"`
}

type VPSInstance struct {
	ID          string `json:"id"`
	DisplayName string `json:"display_name"`
	IpAddress   string `json:"ip_address"`
	Plan        string `json:"plan"`
	Status      string `json:"status"`
}

type AddVPSRequest struct {
	DisplayName string `json:"display_name" binding:"required"`
	IpAddress   string `json:"ip_address" binding:"required"`
	Plan        string `json:"plan" binding:"required"`
}

type GetVPSStatusRequest struct {
	ID string `json:"id" binding:"required"`
}
